Bug 1011922 - Use host-passthrough instead of host-model
Use host-passthrough instead of host-model
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libguestfs (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Richard W.M. Jones
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-25 08:00 EDT by Richard W.M. Jones
Modified: 2014-06-17 22:01 EDT (History)
5 users (show)

See Also:
Fixed In Version: libguestfs-1.22.6-9.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 05:55:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2013-09-25 08:00:19 EDT
Description of problem:

We need to backport the following patch to libguestfs in RHEL 7.0:
https://github.com/libguestfs/libguestfs/commit/2f4f7726e8c81cc56befcb7caa78c01174354d76

The reason is that libvirt <cpu mode="host-model"> doesn't work
on some CPUs (bug 870071) and they are no closer to fixing
that.  So we work around that bug using host-passthrough which
just passes -cpu host to qemu.

Version-Release number of selected component (if applicable):

libguestfs-1.22.6-8.el7

How reproducible:

100%, on some hardware

Steps to Reproduce:

Unfortunately this bug is only reproducible on certain Intel
Sandybridge hardware, not in general.  On hardware where
libvirt demonstrates this bug, you can just do:

LIBGUESTFS_BACKEND=libvirt guestfish -a /dev/null run : available btrfs -v

and you will see the guest kernel crash with a backtrace
that includes 'xor_avx_2'.  If your hardware doesn't
demonstrate the bug, then the command above will succeed.

It's known to fail on this processor:
Intel(R) Core(TM) i7-2600K CPU @ 3.40GHz
(see https://bugzilla.redhat.com/show_bug.cgi?id=870071#c8 )
Comment 1 Richard W.M. Jones 2013-09-26 08:14:02 EDT
The fix is included in libguestfs-1.22.6-9.el7 but I cannot
add this bug to the erratum without getting qa-ack.
Comment 2 Can Zhang 2013-10-10 02:59:49 EDT
I'm kind of confused about how to reproduce this bug.

Here's what I have tried:
1. Install a rhel7 guest in KVM, using config file

  <cpu mode='host-model'>
    <model fallback='forbid'/>
  </cpu>
2. Install libguestfs-1.22.6-8.el7 in the guest
3. Run `LIBGUESTFS_BACKEND=libvirt guestfish -a /dev/null run : available btrfs -v` in the guest as you mentioned. And it runs smoothly.

modprobe btrfs
[    6.562521] xor: measuring software checksum speed
[    6.572567]    prefetch64-sse:  1124.000 MB/sec
[    6.582084]    generic_sse:  1112.000 MB/sec
[    6.582208] xor: using function: prefetch64-sse (1124.000 MB/sec)
[    6.613189] raid6: sse2x1     414 MB/s
[    6.630077] raid6: sse2x2     441 MB/s
[    6.647134] raid6: sse2x4     437 MB/s
[    6.647235] raid6: using algorithm sse2x2 (441 MB/s)
[    6.647417] raid6: using intx1 recovery algorithm
[    6.791266] bio: create slab <bio-1> at 1
[    6.801237] Btrfs loaded

I also tried run that command directly on host, and it also worked.
And the host CPU is i7-2600, the nearest model I could find.

Could you clarify the procedure a bit?
Comment 3 Richard W.M. Jones 2013-10-10 03:54:56 EDT
(In reply to Can Zhang from comment #2)
> I'm kind of confused about how to reproduce this bug.
> 
> Here's what I have tried:
> 1. Install a rhel7 guest in KVM, using config file
> 
>   <cpu mode='host-model'>
>     <model fallback='forbid'/>
>   </cpu>
> 2. Install libguestfs-1.22.6-8.el7 in the guest

This is wrong.

Install libguestfs *in the RHEL 7 host* and just run this command
*in the host*:

LIBGUESTFS_BACKEND=libvirt guestfish -a /dev/null run : available btrfs -v

There is no need to install a guest.
Comment 4 Richard W.M. Jones 2013-10-10 03:56:42 EDT
The host is running RHEL 7 too?

Also please include the complete output of the command when
run in the host.
Comment 5 Can Zhang 2013-10-10 04:29:24 EDT
(In reply to Richard W.M. Jones from comment #4)
> The host is running RHEL 7 too?
> 
> Also please include the complete output of the command when
> run in the host.

The host is running fedora 21 rawhide, and a complete output is:
=================================================================
[root@localhost ~]# LIBGUESTFS_BACKEND=libvirt guestfish -a /dev/null run : available btrfs -v
libguestfs: launch: backend=libvirt
libguestfs: launch: tmpdir=/tmp/libguestfsTCyCVM
libguestfs: launch: umask=0022
libguestfs: launch: euid=0
libguestfs: libvirt version = 1001002 (1.1.2)
libguestfs: [00000ms] connect to libvirt
libguestfs: opening libvirt handle: URI = NULL, auth = virConnectAuthPtrDefault, flags = 0
libguestfs: successfully opened libvirt handle: conn = 0x7f509f2075d0
libguestfs: [00018ms] get libvirt capabilities
libguestfs: [00034ms] parsing capabilities XML
libguestfs: [00034ms] build appliance
libguestfs: command: run: supermin-helper
libguestfs: command: run: \ --verbose
libguestfs: command: run: \ -f checksum
libguestfs: command: run: \ /usr/lib64/guestfs/supermin.d
libguestfs: command: run: \ x86_64
supermin helper [00000ms] whitelist = (not specified)
supermin helper [00000ms] host_cpu = x86_64
supermin helper [00000ms] dtb_wildcard = (not specified)
supermin helper [00000ms] inputs:
supermin helper [00000ms] inputs[0] = /usr/lib64/guestfs/supermin.d
supermin helper [00000ms] outputs:
supermin helper [00000ms] kernel = (none)
supermin helper [00000ms] dtb = (none)
supermin helper [00000ms] initrd = (none)
supermin helper [00000ms] appliance = (none)
checking modpath /lib/modules/3.12.0-0.rc2.git3.1.fc21.x86_64 is a directory
checking modpath /lib/modules/3.9.5-301.fc19.x86_64 is a directory
checking modpath /lib/modules/3.11.0-3.fc21.x86_64 is a directory
picked kernel vmlinuz-3.12.0-0.rc2.git3.1.fc21.x86_64
supermin helper [00000ms] finished creating kernel
supermin helper [00001ms] visiting /usr/lib64/guestfs/supermin.d
supermin helper [00001ms] visiting /usr/lib64/guestfs/supermin.d/base.img.gz
supermin helper [00001ms] visiting /usr/lib64/guestfs/supermin.d/daemon.img.gz
supermin helper [00001ms] visiting /usr/lib64/guestfs/supermin.d/hostfiles
supermin helper [00102ms] visiting /usr/lib64/guestfs/supermin.d/init.img
supermin helper [00102ms] visiting /usr/lib64/guestfs/supermin.d/udev-rules.img
supermin helper [00102ms] adding kernel modules
supermin helper [00268ms] finished creating appliance
libguestfs: checksum of existing appliance: 5afd730c74c9c714c847d40f75d10f323083b8e5d7463c546d2a68b02aa1aec2
libguestfs: command: run: qemu-img
libguestfs: command: run: \ create
libguestfs: command: run: \ -f qcow2
libguestfs: command: run: \ -b /var/tmp/.guestfs-0/root.9013
libguestfs: command: run: \ -o backing_fmt=raw
libguestfs: command: run: \ /tmp/libguestfsTCyCVM/snapshot2
Formatting '/tmp/libguestfsTCyCVM/snapshot2', fmt=qcow2 size=4294967296 backing_file='/var/tmp/.guestfs-0/root.9013' backing_fmt='raw' encryption=off cluster_size=65536 lazy_refcounts=off 
libguestfs: [00351ms] create libvirt XML
libguestfs: command: run: qemu-img
libguestfs: command: run: \ --help
libguestfs: which_parser: g->qemu_img_info_parser = 1
libguestfs: command: run: qemu-img
libguestfs: command: run: \ info
libguestfs: command: run: \ --output json
libguestfs: command: run: \ /dev/fd/9
libguestfs: parse_json: qemu-img info JSON output:\n{\n    "virtual-size": 4096, \n    "filename": "/dev/fd/9", \n    "format": "raw", \n    "actual-size": 0\n}\n\n
libguestfs: libvirt XML:\n<?xml version="1.0"?>\n<domain type="kvm" xmlns:qemu="http://libvirt.org/schemas/domain/qemu/1.0">\n  <name>guestfs-hqreolsn36cjfmrd</name>\n  <memory unit="MiB">500</memory>\n  <currentMemory unit="MiB">500</currentMemory>\n  <cpu mode="host-model">\n    <model fallback="allow"/>\n  </cpu>\n  <vcpu>1</vcpu>\n  <clock offset="utc"/>\n  <os>\n    <type>hvm</type>\n    <kernel>/var/tmp/.guestfs-0/kernel.9013</kernel>\n    <initrd>/var/tmp/.guestfs-0/initrd.9013</initrd>\n    <cmdline>panic=1 console=ttyS0 udevtimeout=600 no_timer_check acpi=off printk.time=1 cgroup_disable=memory root=/dev/sdb selinux=0 guestfs_verbose=1 TERM=xterm</cmdline>\n  </os>\n  <on_reboot>destroy</on_reboot>\n  <devices>\n    <controller type="scsi" index="0" model="virtio-scsi"/>\n    <disk device="disk" type="file">\n      <source file="/tmp/libguestfsTCyCVM/devnull1"/>\n      <target dev="sda" bus="scsi"/>\n      <driver name="qemu" type="raw" cache="writeback"/>\n      <address type="drive" controller="0" bus="0" target="0" unit="0"/>\n    </disk>\n    <disk type="file" device="disk">\n      <source file="/tmp/libguestfsTCyCVM/snapshot2"/>\n      <target dev="sdb" bus="scsi"/>\n      <driver name="qemu" type="qcow2" cache="unsafe"/>\n      <address type="drive" controller="0" bus="0" target="1" unit="0"/>\n      <shareable/>\n    </disk>\n    <serial type="unix">\n      <source mode="connect" path="/tmp/libguestfsTCyCVM/console.sock"/>\n      <target port="0"/>\n    </serial>\n    <channel type="unix">\n      <source mode="connect" path="/tmp/libguestfsTCyCVM/guestfsd.sock"/>\n      <target type="virtio" name="org.libguestfs.channel.0"/>\n    </channel>\n  </devices>\n  <qemu:commandline>\n    <qemu:env name="TMPDIR" value="/var/tmp"/>\n  </qemu:commandline>\n</domain>\n
libguestfs: command: run: ls
libguestfs: command: run: \ -a
libguestfs: command: run: \ -l
libguestfs: command: run: \ -Z /var/tmp/.guestfs-0
libguestfs: drwxr-xr-x. root root unconfined_u:object_r:user_tmp_t:s0 .
libguestfs: drwxrwxrwt. root root system_u:object_r:tmp_t:s0       ..
libguestfs: -rwxr-xr-x. root root unconfined_u:object_r:user_tmp_t:s0 checksum
libguestfs: -rw-r--r--. root root system_u:object_r:virt_content_t:s0 initrd
libguestfs: -rw-r--r--. root root system_u:object_r:virt_content_t:s0 initrd.9013
libguestfs: -rw-r--r--. root root system_u:object_r:virt_content_t:s0 kernel
libguestfs: -rw-r--r--. root root system_u:object_r:virt_content_t:s0 kernel.9013
libguestfs: -rw-r--r--. qemu qemu system_u:object_r:virt_content_t:s0 root
libguestfs: -rw-r--r--. qemu qemu system_u:object_r:virt_content_t:s0 root.9013
libguestfs: command: run: ls
libguestfs: command: run: \ -a
libguestfs: command: run: \ -l
libguestfs: command: run: \ -Z /tmp/libguestfsTCyCVM
libguestfs: drwxr-xr-x. root root unconfined_u:object_r:user_tmp_t:s0 .
libguestfs: drwxrwxrwt. root root system_u:object_r:tmp_t:s0       ..
libguestfs: srw-rw----. root qemu unconfined_u:object_r:user_tmp_t:s0 console.sock
libguestfs: -rw-------. root root unconfined_u:object_r:user_tmp_t:s0 devnull1
libguestfs: srw-rw----. root qemu unconfined_u:object_r:user_tmp_t:s0 guestfsd.sock
libguestfs: -rw-r--r--. root root unconfined_u:object_r:user_tmp_t:s0 snapshot2
libguestfs: -rwxr-xr-x. root root unconfined_u:object_r:user_tmp_t:s0 umask-check
libguestfs: [00437ms] launch libvirt guest
[    0.000000] Initializing cgroup subsys cpuset
[    0.000000] Initializing cgroup subsys cpu
[    0.000000] Initializing cgroup subsys cpuacct
[    0.000000] Linux version 3.12.0-0.rc2.git3.1.fc21.x86_64 (mockbuild@bkernel01.phx2.fedoraproject.org) (gcc version 4.8.1 20130920 (Red Hat 4.8.1-10) (GCC) ) #1 SMP Fri Sep 27 18:18:23 UTC 2013
[    0.000000] Command line: panic=1 console=ttyS0 udevtimeout=600 no_timer_check acpi=off printk.time=1 cgroup_disable=memory root=/dev/sdb selinux=0 guestfs_verbose=1 TERM=xterm
[    0.000000] e820: BIOS-provided physical RAM map:
[    0.000000] BIOS-e820: [mem 0x0000000000000000-0x000000000009fbff] usable
[    0.000000] BIOS-e820: [mem 0x000000000009fc00-0x000000000009ffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000000f0000-0x00000000000fffff] reserved
[    0.000000] BIOS-e820: [mem 0x0000000000100000-0x000000001f3fffff] usable
[    0.000000] BIOS-e820: [mem 0x00000000feffc000-0x00000000feffffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fffc0000-0x00000000ffffffff] reserved
[    0.000000] NX (Execute Disable) protection: active
[    0.000000] SMBIOS 2.4 present.
[    0.000000] Hypervisor detected: KVM
[    0.000000] No AGP bridge found
[    0.000000] e820: last_pfn = 0x1f400 max_arch_pfn = 0x400000000
[    0.000000] x86 PAT enabled: cpu 0, old 0x70406, new 0x7010600070106
[    0.000000] found SMP MP-table at [mem 0x000f17f0-0x000f17ff] mapped at [ffff8800000f17f0]
[    0.000000] Scanning 1 areas for low memory corruption
[    0.000000] init_memory_mapping: [mem 0x00000000-0x000fffff]
[    0.000000] init_memory_mapping: [mem 0x1f000000-0x1f1fffff]
[    0.000000] init_memory_mapping: [mem 0x1c000000-0x1effffff]
[    0.000000] init_memory_mapping: [mem 0x00100000-0x1bffffff]
[    0.000000] init_memory_mapping: [mem 0x1f200000-0x1f3fffff]
[    0.000000] RAMDISK: [mem 0x1f263000-0x1f3effff]
[    0.000000] No NUMA configuration found
[    0.000000] Faking a node at [mem 0x0000000000000000-0x000000001f3fffff]
[    0.000000] Initmem setup node 0 [mem 0x00000000-0x1f3fffff]
[    0.000000]   NODE_DATA [mem 0x1f23c000-0x1f262fff]
[    0.000000] kvm-clock: Using msrs 4b564d01 and 4b564d00
[    0.000000] kvm-clock: cpu 0, msr 0:1f1fc001, boot clock
[    0.000000] Zone ranges:
[    0.000000]   DMA      [mem 0x00001000-0x00ffffff]
[    0.000000]   DMA32    [mem 0x01000000-0xffffffff]
[    0.000000]   Normal   empty
[    0.000000] Movable zone start for each node
[    0.000000] Early memory node ranges
[    0.000000]   node   0: [mem 0x00001000-0x0009efff]
[    0.000000]   node   0: [mem 0x00100000-0x1f3fffff]
[    0.000000] SFI: Simple Firmware Interface v0.81 http://simplefirmware.org
[    0.000000] Intel MultiProcessor Specification v1.4
[    0.000000] MPTABLE: OEM ID: BOCHSCPU
[    0.000000] MPTABLE: Product ID: 0.1         
[    0.000000] MPTABLE: APIC at: 0xFEE00000
[    0.000000] Processor #0 (Bootup-CPU)
[    0.000000] IOAPIC[0]: apic_id 0, version 17, address 0xfec00000, GSI 0-23
[    0.000000] Processors: 1
[    0.000000] smpboot: Allowing 1 CPUs, 0 hotplug CPUs
[    0.000000] PM: Registered nosave memory: [mem 0x0009f000-0x0009ffff]
[    0.000000] PM: Registered nosave memory: [mem 0x000a0000-0x000effff]
[    0.000000] PM: Registered nosave memory: [mem 0x000f0000-0x000fffff]
[    0.000000] e820: [mem 0x1f400000-0xfeffbfff] available for PCI devices
[    0.000000] Booting paravirtualized kernel on KVM
[    0.000000] setup_percpu: NR_CPUS:4096 nr_cpumask_bits:1 nr_cpu_ids:1 nr_node_ids:1
[    0.000000] PERCPU: Embedded 478 pages/cpu @ffff88001ee00000 s1925376 r8192 d24320 u2097152
[    0.000000] kvm-clock: cpu 0, msr 0:1f1fc001, primary cpu clock
[    0.000000] KVM setup async PF for cpu 0
[    0.000000] kvm-stealtime: cpu 0, msr 1ee0e140
[    0.000000] Built 1 zonelists in Node order, mobility grouping on.  Total pages: 125881
[    0.000000] Policy zone: DMA32
[    0.000000] Kernel command line: panic=1 console=ttyS0 udevtimeout=600 no_timer_check acpi=off printk.time=1 cgroup_disable=memory root=/dev/sdb selinux=0 guestfs_verbose=1 TERM=xterm
[    0.000000] Disabling memory control group subsystem
[    0.000000] PID hash table entries: 2048 (order: 2, 16384 bytes)
[    0.000000] xsave: enabled xstate_bv 0x7, cntxt size 0x340
[    0.000000] Checking aperture...
[    0.000000] No AGP bridge found
[    0.000000] Memory: 469520K/511608K available (7524K kernel code, 1358K rwdata, 3136K rodata, 3656K init, 12444K bss, 42088K reserved)
[    0.000000] SLUB: HWalign=64, Order=0-3, MinObjects=0, CPUs=1, Nodes=1
[    0.000000] Hierarchical RCU implementation.
[    0.000000] \tRCU lockdep checking is enabled.
[    0.000000] \tRCU restricting CPUs from NR_CPUS=4096 to nr_cpu_ids=1.
[    0.000000] NR_IRQS:262400 nr_irqs:256 16
[    0.000000] Console: colour *CGA 80x25
[    0.000000] console [ttyS0] enabled
[    0.000000] Lock dependency validator: Copyright (c) 2006 Red Hat, Inc., Ingo Molnar
[    0.000000] ... MAX_LOCKDEP_SUBCLASSES:  8
[    0.000000] ... MAX_LOCK_DEPTH:          48
[    0.000000] ... MAX_LOCKDEP_KEYS:        8191
[    0.000000] ... CLASSHASH_SIZE:          4096
[    0.000000] ... MAX_LOCKDEP_ENTRIES:     16384
[    0.000000] ... MAX_LOCKDEP_CHAINS:      32768
[    0.000000] ... CHAINHASH_SIZE:          16384
[    0.000000]  memory used by lock dependency info: 6367 kB
[    0.000000]  per task-struct memory footprint: 2688 bytes
[    0.000000] kmemleak: Kernel memory leak detector disabled
[    0.000000] tsc: Detected 3392.290 MHz processor
[    0.003000] Calibrating delay loop (skipped) preset value.. 6784.58 BogoMIPS (lpj=3392290)
[    0.004006] pid_max: default: 32768 minimum: 301
[    0.005252] Security Framework initialized
[    0.006017] SELinux:  Disabled at boot.
[    0.007270] Dentry cache hash table entries: 65536 (order: 7, 524288 bytes)
[    0.009093] Inode-cache hash table entries: 32768 (order: 6, 262144 bytes)
[    0.011053] Mount-cache hash table entries: 256
[    0.013697] Initializing cgroup subsys memory
[    0.015077] Initializing cgroup subsys devices
[    0.016019] Initializing cgroup subsys freezer
[    0.017019] Initializing cgroup subsys net_cls
[    0.018017] Initializing cgroup subsys blkio
[    0.019006] Initializing cgroup subsys perf_event
[    0.021165] mce: CPU supports 10 MCE banks
[    0.022057] Last level iTLB entries: 4KB 0, 2MB 0, 4MB 0
[    0.022057] Last level dTLB entries: 4KB 0, 2MB 0, 4MB 0
[    0.022057] tlb_flushall_shift: 5
[    0.033701] Freeing SMP alternatives memory: 24K (ffffffff820e7000 - ffffffff820ed000)
[    0.039135] ftrace: allocating 25539 entries in 100 pages
[    0.048811] Enabling x2apic
[    0.049000] Enabled x2apic
[    0.049006] Switched APIC routing to physical x2apic.
[    0.058638] ..TIMER: vector=0x30 apic1=0 pin1=2 apic2=-1 pin2=-1
[    0.059003] smpboot: CPU0: Intel Xeon E312xx (Sandy Bridge) (fam: 06, model: 2a, stepping: 01)
[    0.063034] Performance Events: unsupported p6 CPU model 42 no PMU driver, software events only.
[    0.067424] Brought up 1 CPUs
[    0.068006] smpboot: Total of 1 processors activated (6784.58 BogoMIPS)
[    0.071195] NMI watchdog: disabled (cpu0): hardware events not enabled
[    0.073249] devtmpfs: initialized
[    0.079890] atomic64 test passed for x86-64 platform with CX8 and with SSE
[    0.080168] RTC time:  8:25:05, date: 10/10/13
[    0.081332] NET: Registered protocol family 16
[    0.082840] cpuidle: using governor menu
[    0.083583] PCI: Using configuration type 1 for base access
[    0.095315] bio: create slab <bio-0> at 0
[    0.096439] ACPI: Interpreter disabled.
[    0.097547] vgaarb: loaded
[    0.098848] SCSI subsystem initialized
[    0.099517] usbcore: registered new interface driver usbfs
[    0.100092] usbcore: registered new interface driver hub
[    0.101117] usbcore: registered new device driver usb
[    0.102430] PCI: Probing PCI hardware
[    0.103258] PCI host bridge to bus 0000:00
[    0.104021] pci_bus 0000:00: root bus resource [io  0x0000-0xffff]
[    0.105011] pci_bus 0000:00: root bus resource [mem 0x00000000-0xffffffffff]
[    0.106029] pci_bus 0000:00: No busn resource found for root bus, will use [bus 00-ff]
[    0.136208] pci 0000:00:01.0: PIIX/ICH IRQ router [8086:7000]
[    0.138060] NetLabel: Initializing
[    0.138997] NetLabel:  domain hash size = 128
[    0.139008] NetLabel:  protocols = UNLABELED CIPSOv4
[    0.140118] NetLabel:  unlabeled traffic allowed by default
[    0.141121] Switched to clocksource kvm-clock
[    0.200976] pnp: PnP ACPI: disabled
[    0.213699] NET: Registered protocol family 2
[    0.215773] TCP established hash table entries: 4096 (order: 4, 65536 bytes)
[    0.217950] TCP bind hash table entries: 4096 (order: 6, 327680 bytes)
[    0.220083] TCP: Hash tables configured (established 4096 bind 4096)
[    0.222224] TCP: reno registered
[    0.223213] UDP hash table entries: 256 (order: 3, 49152 bytes)
[    0.225024] UDP-Lite hash table entries: 256 (order: 3, 49152 bytes)
[    0.227405] NET: Registered protocol family 1
[    0.228733] pci 0000:00:00.0: Limiting direct PCI/PCI transfers
[    0.230562] pci 0000:00:01.0: PIIX3: Enabling Passive Release
[    0.232381] pci 0000:00:01.0: Activating ISA DMA hang workarounds
[    0.234475] pci 0000:00:01.2: PCI->APIC IRQ transform: INT D -> IRQ 35
[    0.237232] Unpacking initramfs...
[    0.242220] Freeing initrd memory: 1588K (ffff88001f263000 - ffff88001f3f0000)
[    0.402693] DMA-API: preallocated 65536 debug entries
[    0.404200] DMA-API: debugging enabled by kernel config
[    0.405925] platform rtc_cmos: registered platform RTC device (no PNP device found)
[    0.408933] Scanning for low memory corruption every 60 seconds
[    0.411341] cryptomgr_test (25) used greatest stack depth: 6648 bytes left
[    0.413750] cryptomgr_test (24) used greatest stack depth: 6296 bytes left
[    0.415983] kworker/u2:0 (30) used greatest stack depth: 5656 bytes left
[    0.418626] cryptomgr_test (27) used greatest stack depth: 5160 bytes left
[    0.421281] alg: No test for __gcm-aes-aesni (__driver-gcm-aes-aesni)
[    0.424967] Initialise system trusted keyring
[    0.426653] audit: initializing netlink socket (disabled)
[    0.428376] type=2000 audit(1381393505.765:1): initialized
[    0.445387] HugeTLB registered 2 MB page size, pre-allocated 0 pages
[    0.463456] zbud: loaded
[    0.465981] VFS: Disk quotas dquot_6.5.2
[    0.467547] Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
[    0.473263] msgmni has been set to 920
[    0.476763] alg: No test for stdrng (krng)
[    0.477977] NET: Registered protocol family 38
[    0.479407] Key type asymmetric registered
[    0.480656] Asymmetric key parser 'x509' registered
[    0.482383] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 252)
[    0.484787] io scheduler noop registered
[    0.486033] io scheduler deadline registered
[    0.487633] io scheduler cfq registered (default)
[    0.493793] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
[    0.495564] pciehp: PCI Express Hot Plug Controller Driver version: 0.4
[    0.498386] virtio-pci 0000:00:02.0: PCI->APIC IRQ transform: INT A -> IRQ 34
[    0.502212] virtio-pci 0000:00:03.0: PCI->APIC IRQ transform: INT A -> IRQ 35
[    0.505061] virtio-pci 0000:00:04.0: PCI->APIC IRQ transform: INT A -> IRQ 35
[    0.508234] Serial: 8250/16550 driver, 4 ports, IRQ sharing enabled
[    0.534244] serial8250: ttyS0 at I/O 0x3f8 (irq = 4, base_baud = 115200) is a 16550A
[    0.574704] Non-volatile memory driver v1.3
[    0.575929] Linux agpgart interface v0.103
[    0.582288] scsi0 : ata_piix
[    0.584172] scsi1 : ata_piix
[    0.585338] ata1: PATA max MWDMA2 cmd 0x1f0 ctl 0x3f6 bmdma 0xc0a0 irq 14
[    0.587351] ata2: PATA max MWDMA2 cmd 0x170 ctl 0x376 bmdma 0xc0a8 irq 15
[    0.589872] libphy: Fixed MDIO Bus: probed
[    0.591373] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    0.593306] ehci-pci: EHCI PCI platform driver
[    0.594657] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[    0.596472] ohci-pci: OHCI PCI platform driver
[    0.598682] uhci_hcd: USB Universal Host Controller Interface driver
[    0.600821] uhci_hcd 0000:00:01.2: PCI->APIC IRQ transform: INT D -> IRQ 35
[    0.603598] uhci_hcd 0000:00:01.2: UHCI Host Controller
[    0.605588] uhci_hcd 0000:00:01.2: new USB bus registered, assigned bus number 1
[    0.608210] uhci_hcd 0000:00:01.2: irq 35, io base 0x0000c040
[    0.610463] usb usb1: New USB device found, idVendor=1d6b, idProduct=0001
[    0.612572] usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    0.614787] usb usb1: Product: UHCI Host Controller
[    0.616290] usb usb1: Manufacturer: Linux 3.12.0-0.rc2.git3.1.fc21.x86_64 uhci_hcd
[    0.618706] usb usb1: SerialNumber: 0000:00:01.2
[    0.621384] hub 1-0:1.0: USB hub found
[    0.622695] hub 1-0:1.0: 2 ports detected
[    0.625457] usbcore: registered new interface driver usbserial
[    0.627384] usbcore: registered new interface driver usbserial_generic
[    0.629490] usbserial: USB Serial support registered for generic
[    0.631557] i8042: PNP: No PS/2 controller found. Probing ports directly.
[    0.635910] serio: i8042 KBD port at 0x60,0x64 irq 1
[    0.637616] serio: i8042 AUX port at 0x60,0x64 irq 12
[    0.639928] mousedev: PS/2 mouse device common for all mice
[    0.642611] input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input0
[    0.649878] rtc_cmos rtc_cmos: rtc core: registered rtc_cmos as rtc0
[    0.652310] rtc_cmos rtc_cmos: alarms up to one day, 114 bytes nvram
[    0.654984] device-mapper: uevent: version 1.0.3
[    0.657134] device-mapper: ioctl: 4.26.0-ioctl (2013-08-15) initialised: dm-devel@redhat.com
[    0.660782] hidraw: raw HID events driver (C) Jiri Kosina
[    0.663661] usbcore: registered new interface driver usbhid
[    0.665475] usbhid: USB HID core driver
[    0.666936] drop_monitor: Initializing network drop monitor service
[    0.669258] ip_tables: (C) 2000-2006 Netfilter Core Team
[    0.671027] TCP: cubic registered
[    0.672178] Initializing XFRM netlink socket
[    0.675352] NET: Registered protocol family 10
[    0.678522] mip6: Mobile IPv6
[    0.679523] NET: Registered protocol family 17
[    0.682170] Loading compiled-in X.509 certificates
[    0.684782] Loaded X.509 cert 'Fedora kernel signing key: f5b71448571923e8a13a871bfd8efaecdaa9b009'
[    0.687671] registered taskstats version 1
[    0.690278]   Magic number: 1:995:421
[    0.691544] rtc_cmos rtc_cmos: setting system clock to 2013-10-10 08:25:05 UTC (1381393505)
[    0.751375] Freeing unused kernel memory: 3656K (ffffffff81d55000 - ffffffff820e7000)
[    0.753628] Write protecting the kernel read-only data: 12288k
[    0.756941] Freeing unused kernel memory: 656K (ffff88000175c000 - ffff880001800000)
[    0.760929] Freeing unused kernel memory: 960K (ffff880001b10000 - ffff880001c00000)
supermin: mounting /proc
supermin: uptime: 0.76 0.08
supermin: ext2 mini initrd starting up: 4.1.5 zlib
supermin: cmdline: panic=1 console=ttyS0 udevtimeout=600 no_timer_check acpi=off printk.time=1 cgroup_disable=memory root=/dev/sdb selinux=0 guestfs_verbose=1 TERM=xterm
supermin: mounting /sys
supermin: internal insmod megaraid_mm.ko
[    0.773707] megaraid cmm: 2.20.2.7 (Release Date: Sun Jul 16 00:01:03 EST 2006)
supermin: internal insmod megaraid_mbox.ko
[    0.778936] megaraid: 2.20.5.1 (Release Date: Thu Nov 16 15:32:35 EST 2006)
supermin: internal insmod megaraid_sas.ko
[    0.784959] megasas: 06.700.06.00-rc1 Sat. Aug. 31 17:00:00 PDT 2013
supermin: internal insmod megaraid.ko
supermin: internal insmod libcrc32c.ko
supermin: internal insmod crc32c-intel.ko
supermin: internal insmod crc32-pclmul.ko
[    0.796509] alg: No test for crc32 (crc32-pclmul)
supermin: internal insmod crct10dif-pclmul.ko
supermin: internal insmod crc-itu-t.ko
supermin: internal insmod crc32.ko
[    0.804233] alg: No test for crc32 (crc32-table)
supermin: internal insmod crc-ccitt.ko
supermin: internal insmod crc8.ko
supermin: internal insmod scsi_transport_spi.ko
supermin: internal insmod sym53c8xx.ko
supermin: internal insmod ideapad_slidebar.ko
[    0.817887] ideapad_slidebar: DMI does not match
insmod: init_module: ideapad_slidebar.ko: No such device
supermin: internal insmod rfkill.ko
supermin: internal insmod sparse-keymap.ko
supermin: internal insmod ideapad-laptop.ko
insmod: init_module: ideapad-laptop.ko: No such device
supermin: internal insmod virtio_mmio.ko
supermin: internal insmod virtio_balloon.ko
supermin: internal insmod virtio-rng.ko
supermin: internal insmod virtio_blk.ko
supermin: internal insmod virtio_scsi.ko
[    0.844165] scsi2 : Virtio SCSI HBA
[    0.848588] scsi 2:0:0:0: Direct-Access     QEMU     QEMU HARDDISK    1.6. PQ: 0 ANSI: 5
[    0.852729] scsi 2:0:1:0: Direct-Access     QEMU     QEMU HARDDISK    1.6. PQ: 0 ANSI: 5
[    0.982988] sd 2:0:0:0: [sda] 8 512-byte logical blocks: (4.09 kB/4.00 KiB)
[    0.985584] sd 2:0:0:0: Attached scsi generic sg0 type 0
[    0.988887] sd 2:0:0:0: [sda] Write Protect is off
[    0.990352] sd 2:0:1:0: [sdb] 8388608 512-byte logical blocks: (4.29 GB/4.00 GiB)
[    0.993358] sd 2:0:1:0: Attached scsi generic sg1 type 0
[    0.995255] sd 2:0:1:0: [sdb] Write Protect is off
[    0.996925] sd 2:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[    0.999679] sd 2:0:1:0: [sdb] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[    1.006447]  sdb: unknown partition table
[    1.010255] sd 2:0:1:0: [sdb] Attached SCSI disk
[    1.011760] Dev sda: unable to read RDB block 8
[    1.013162]  sda: unable to read partition table
[    1.014614] sda: partition table beyond EOD, enabling native capacity
[    1.019094] Dev sda: unable to read RDB block 8
[    1.020422]  sda: unable to read partition table
[    1.021814] sda: partition table beyond EOD, truncated
[    1.025523] sd 2:0:0:0: [sda] Attached SCSI disk
supermin: internal insmod virtio_net.ko
supermin: picked /sys/block/sdb/dev as root device
supermin: creating /dev/root as block special 8:16
supermin: mounting new root on /root
[    1.034773] EXT4-fs (sdb): mounting ext2 file system using the ext4 subsystem
[    1.042563] EXT4-fs (sdb): mounted filesystem without journal. Opts: 
supermin: chroot
Starting /init script ...
[    1.108698] mkdir (76) used greatest stack depth: 3016 bytes left
[    1.179117] systemd-udevd[86]: starting version 206
[    1.370886] microcode: CPU0 sig=0x206a1, pf=0x1, revision=0x1
[    1.400714] microcode: Microcode Update Driver: v2.00 <tigran@aivazian.fsnet.co.uk>, Peter Oruba
[    1.440399] input: PC Speaker as /devices/platform/pcspkr/input/input1
[    1.484221] input: ImExPS/2 Generic Explorer Mouse as /devices/platform/i8042/serio1/input/input2
Cannot find device "eth0"
Cannot find device "eth0"
RTNETLINK answers: Network is unreachable
mdadm: No arrays found in config file or automatically
  /run/lvm/lvmetad.socket: connect failed: No such file or directory
  WARNING: Failed to connect to lvmetad: No such file or directory. Falling back to internal scanning.
  Reading all physical volumes.  This may take a while...
  /run/lvm/lvmetad.socket: connect failed: No such file or directory
  /run/lvm/lvmetad.socket: connect failed: No such file or directory
  No volume groups found
  /run/lvm/lvmetad.socket: connect failed: No such file or directory
  WARNING: Failed to connect to lvmetad: No such file or directory. Falling back to internal scanning.
  /run/lvm/lvmetad.socket: connect failed: No such file or directory
  /run/lvm/lvmetad.socket: connect failed: No such file or directory
  No volume groups found
/init: line 115: ldmtool: command not found
Linux (none) 3.12.0-0.rc2.git3.1.fc21.x86_64 #1 SMP Fri Sep 27 18:18:23 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
/dev:
total 0
crw------- 1 root root  10, 235 Oct 10 16:25 autofs
drwxr-xr-x 2 root root       80 Oct 10 16:25 block
drwxr-xr-x 2 root root       80 Oct 10 16:25 bsg
drwxr-xr-x 3 root root       60 Oct 10 16:25 bus
drwxr-xr-x 2 root root     2340 Oct 10 16:25 char
crw------- 1 root root   5,   1 Oct 10 16:25 console
lrwxrwxrwx 1 root root       11 Oct 10 16:25 core -> /proc/kcore
drwxr-xr-x 3 root root       80 Oct 10 16:25 cpu
crw------- 1 root root  10,  62 Oct 10 16:25 cpu_dma_latency
drwxr-xr-x 5 root root      100 Oct 10 16:25 disk
lrwxrwxrwx 1 root root       13 Oct 10 16:25 fd -> /proc/self/fd
crw-rw-rw- 1 root root   1,   7 Oct 10 16:25 full
drwxr-xr-x 3 root root      160 Oct 10 16:25 input
crw-r--r-- 1 root root   1,  11 Oct 10 16:25 kmsg
drwxr-xr-x 2 root root       60 Oct 10 16:25 mapper
crw------- 1 root root  10, 227 Oct 10 16:25 mcelog
crw------- 1 root root  10,  59 Oct 10 16:25 megadev0
crw------- 1 root root   1,   1 Oct 10 16:25 mem
crw------- 1 root root  10,  61 Oct 10 16:25 network_latency
crw------- 1 root root  10,  60 Oct 10 16:25 network_throughput
crw-rw-rw- 1 root root   1,   3 Oct 10 16:25 null
crw------- 1 root root  10, 144 Oct 10 16:25 nvram
crw------- 1 root root   1,   4 Oct 10 16:25 port
crw-rw-rw- 1 root root   5,   2 Oct 10 16:25 ptmx
crw-rw-rw- 1 root root   1,   8 Oct 10 16:25 random
drwxr-xr-x 2 root root       60 Oct 10 16:25 raw
crw------- 1 root root  10,  58 Oct 10 16:25 rfkill
lrwxrwxrwx 1 root root        4 Oct 10 16:25 rtc -> rtc0
crw------- 1 root root 254,   0 Oct 10 16:25 rtc0
brw------- 1 root root   8,   0 Oct 10 16:25 sda
brw------- 1 root root   8,  16 Oct 10 16:25 sdb
crw------- 1 root root  21,   0 Oct 10 16:25 sg0
crw------- 1 root root  21,   1 Oct 10 16:25 sg1
crw------- 1 root root  10, 231 Oct 10 16:25 snapshot
drwxr-xr-x 3 root root      120 Oct 10 16:25 snd
lrwxrwxrwx 1 root root       15 Oct 10 16:25 stderr -> /proc/self/fd/2
lrwxrwxrwx 1 root root       15 Oct 10 16:25 stdin -> /proc/self/fd/0
lrwxrwxrwx 1 root root       15 Oct 10 16:25 stdout -> /proc/self/fd/1
crw-rw-rw- 1 root root   5,   0 Oct 10 16:25 tty
crw------- 1 root root   4,   0 Oct 10 16:25 tty0
crw------- 1 root root   4,   1 Oct 10 16:25 tty1
crw------- 1 root root   4,  10 Oct 10 16:25 tty10
crw------- 1 root root   4,  11 Oct 10 16:25 tty11
crw------- 1 root root   4,  12 Oct 10 16:25 tty12
crw------- 1 root root   4,  13 Oct 10 16:25 tty13
crw------- 1 root root   4,  14 Oct 10 16:25 tty14
crw------- 1 root root   4,  15 Oct 10 16:25 tty15
crw------- 1 root root   4,  16 Oct 10 16:25 tty16
crw------- 1 root root   4,  17 Oct 10 16:25 tty17
crw------- 1 root root   4,  18 Oct 10 16:25 tty18
crw------- 1 root root   4,  19 Oct 10 16:25 tty19
crw------- 1 root root   4,   2 Oct 10 16:25 tty2
crw------- 1 root root   4,  20 Oct 10 16:25 tty20
crw------- 1 root root   4,  21 Oct 10 16:25 tty21
crw------- 1 root root   4,  22 Oct 10 16:25 tty22
crw------- 1 root root   4,  23 Oct 10 16:25 tty23
crw------- 1 root root   4,  24 Oct 10 16:25 tty24
crw------- 1 root root   4,  25 Oct 10 16:25 tty25
crw------- 1 root root   4,  26 Oct 10 16:25 tty26
crw------- 1 root root   4,  27 Oct 10 16:25 tty27
crw------- 1 root root   4,  28 Oct 10 16:25 tty28
crw------- 1 root root   4,  29 Oct 10 16:25 tty29
crw------- 1 root root   4,   3 Oct 10 16:25 tty3
crw------- 1 root root   4,  30 Oct 10 16:25 tty30
crw------- 1 root root   4,  31 Oct 10 16:25 tty31
crw------- 1 root root   4,  32 Oct 10 16:25 tty32
crw------- 1 root root   4,  33 Oct 10 16:25 tty33
crw------- 1 root root   4,  34 Oct 10 16:25 tty34
crw------- 1 root root   4,  35 Oct 10 16:25 tty35
crw------- 1 root root   4,  36 Oct 10 16:25 tty36
crw------- 1 root root   4,  37 Oct 10 16:25 tty37
crw------- 1 root root   4,  38 Oct 10 16:25 tty38
crw------- 1 root root   4,  39 Oct 10 16:25 tty39
crw------- 1 root root   4,   4 Oct 10 16:25 tty4
crw------- 1 root root   4,  40 Oct 10 16:25 tty40
crw------- 1 root root   4,  41 Oct 10 16:25 tty41
crw------- 1 root root   4,  42 Oct 10 16:25 tty42
crw------- 1 root root   4,  43 Oct 10 16:25 tty43
crw------- 1 root root   4,  44 Oct 10 16:25 tty44
crw------- 1 root root   4,  45 Oct 10 16:25 tty45
crw------- 1 root root   4,  46 Oct 10 16:25 tty46
crw------- 1 root root   4,  47 Oct 10 16:25 tty47
crw------- 1 root root   4,  48 Oct 10 16:25 tty48
crw------- 1 root root   4,  49 Oct 10 16:25 tty49
crw------- 1 root root   4,   5 Oct 10 16:25 tty5
crw------- 1 root root   4,  50 Oct 10 16:25 tty50
crw------- 1 root root   4,  51 Oct 10 16:25 tty51
crw------- 1 root root   4,  52 Oct 10 16:25 tty52
crw------- 1 root root   4,  53 Oct 10 16:25 tty53
crw------- 1 root root   4,  54 Oct 10 16:25 tty54
crw------- 1 root root   4,  55 Oct 10 16:25 tty55
crw------- 1 root root   4,  56 Oct 10 16:25 tty56
crw------- 1 root root   4,  57 Oct 10 16:25 tty57
crw------- 1 root root   4,  58 Oct 10 16:25 tty58
crw------- 1 root root   4,  59 Oct 10 16:25 tty59
crw------- 1 root root   4,   6 Oct 10 16:25 tty6
crw------- 1 root root   4,  60 Oct 10 16:25 tty60
crw------- 1 root root   4,  61 Oct 10 16:25 tty61
crw------- 1 root root   4,  62 Oct 10 16:25 tty62
crw------- 1 root root   4,  63 Oct 10 16:25 tty63
crw------- 1 root root   4,   7 Oct 10 16:25 tty7
crw------- 1 root root   4,   8 Oct 10 16:25 tty8
crw------- 1 root root   4,   9 Oct 10 16:25 tty9
crw------- 1 root root   4,  64 Oct 10 16:25 ttyS0
crw------- 1 root root   4,  65 Oct 10 16:25 ttyS1
crw------- 1 root root   4,  66 Oct 10 16:25 ttyS2
crw------- 1 root root   4,  67 Oct 10 16:25 ttyS3
crw-rw-rw- 1 root root   1,   9 Oct 10 16:25 urandom
crw------- 1 root root 250,   0 Oct 10 16:25 usbmon0
crw------- 1 root root 250,   1 Oct 10 16:25 usbmon1
crw------- 1 root root   7,   0 Oct 10 16:25 vcs
crw------- 1 root root   7,   1 Oct 10 16:25 vcs1
crw------- 1 root root   7, 128 Oct 10 16:25 vcsa
crw------- 1 root root   7, 129 Oct 10 16:25 vcsa1
crw------- 1 root root  10,  63 Oct 10 16:25 vga_arbiter
drwxr-xr-x 2 root root       60 Oct 10 16:25 virtio-ports
crw------- 1 root root 251,   1 Oct 10 16:25 vport1p1
crw-rw-rw- 1 root root   1,   5 Oct 10 16:25 zero

/dev/block:
total 0
lrwxrwxrwx 1 root root 6 Oct 10 16:25 8:0 -> ../sda
lrwxrwxrwx 1 root root 6 Oct 10 16:25 8:16 -> ../sdb

/dev/bsg:
total 0
crw------- 1 root root 252, 0 Oct 10 16:25 2:0:0:0
crw------- 1 root root 252, 1 Oct 10 16:25 2:0:1:0

/dev/bus:
total 0
drwxr-xr-x 3 root root 60 Oct 10 16:25 usb

/dev/bus/usb:
total 0
drwxr-xr-x 2 root root 60 Oct 10 16:25 001

/dev/bus/usb/001:
total 0
crw------- 1 root root 189, 0 Oct 10 16:25 001

/dev/char:
total 0
lrwxrwxrwx 1 root root  8 Oct 10 16:25 10:144 -> ../nvram
lrwxrwxrwx 1 root root 16 Oct 10 16:25 10:184 -> ../cpu/microcode
lrwxrwxrwx 1 root root  9 Oct 10 16:25 10:227 -> ../mcelog
lrwxrwxrwx 1 root root 11 Oct 10 16:25 10:231 -> ../snapshot
lrwxrwxrwx 1 root root  9 Oct 10 16:25 10:235 -> ../autofs
lrwxrwxrwx 1 root root 17 Oct 10 16:25 10:236 -> ../mapper/control
lrwxrwxrwx 1 root root  9 Oct 10 16:25 10:58 -> ../rfkill
lrwxrwxrwx 1 root root 11 Oct 10 16:25 10:59 -> ../megadev0
lrwxrwxrwx 1 root root 21 Oct 10 16:25 10:60 -> ../network_throughput
lrwxrwxrwx 1 root root 18 Oct 10 16:25 10:61 -> ../network_latency
lrwxrwxrwx 1 root root 18 Oct 10 16:25 10:62 -> ../cpu_dma_latency
lrwxrwxrwx 1 root root 14 Oct 10 16:25 10:63 -> ../vga_arbiter
lrwxrwxrwx 1 root root 15 Oct 10 16:25 116:2 -> ../snd/pcmC0D0p
lrwxrwxrwx 1 root root 16 Oct 10 16:25 116:3 -> ../snd/controlC0
lrwxrwxrwx 1 root root 12 Oct 10 16:25 116:33 -> ../snd/timer
lrwxrwxrwx 1 root root 15 Oct 10 16:25 13:32 -> ../input/mouse0
lrwxrwxrwx 1 root root 13 Oct 10 16:25 13:63 -> ../input/mice
lrwxrwxrwx 1 root root 15 Oct 10 16:25 13:64 -> ../input/event0
lrwxrwxrwx 1 root root 15 Oct 10 16:25 13:65 -> ../input/event1
lrwxrwxrwx 1 root root 15 Oct 10 16:25 13:66 -> ../input/event2
lrwxrwxrwx 1 root root 13 Oct 10 16:25 162:0 -> ../raw/rawctl
lrwxrwxrwx 1 root root 18 Oct 10 16:25 189:0 -> ../bus/usb/001/001
lrwxrwxrwx 1 root root  6 Oct 10 16:25 1:1 -> ../mem
lrwxrwxrwx 1 root root  7 Oct 10 16:25 1:11 -> ../kmsg
lrwxrwxrwx 1 root root  7 Oct 10 16:25 1:3 -> ../null
lrwxrwxrwx 1 root root  7 Oct 10 16:25 1:4 -> ../port
lrwxrwxrwx 1 root root  7 Oct 10 16:25 1:5 -> ../zero
lrwxrwxrwx 1 root root  7 Oct 10 16:25 1:7 -> ../full
lrwxrwxrwx 1 root root  9 Oct 10 16:25 1:8 -> ../random
lrwxrwxrwx 1 root root 10 Oct 10 16:25 1:9 -> ../urandom
lrwxrwxrwx 1 root root 12 Oct 10 16:25 202:0 -> ../cpu/0/msr
lrwxrwxrwx 1 root root 14 Oct 10 16:25 203:0 -> ../cpu/0/cpuid
lrwxrwxrwx 1 root root  6 Oct 10 16:25 21:0 -> ../sg0
lrwxrwxrwx 1 root root  6 Oct 10 16:25 21:1 -> ../sg1
lrwxrwxrwx 1 root root 10 Oct 10 16:25 250:0 -> ../usbmon0
lrwxrwxrwx 1 root root 10 Oct 10 16:25 250:1 -> ../usbmon1
lrwxrwxrwx 1 root root 11 Oct 10 16:25 251:1 -> ../vport1p1
lrwxrwxrwx 1 root root 14 Oct 10 16:25 252:0 -> ../bsg/2:0:0:0
lrwxrwxrwx 1 root root 14 Oct 10 16:25 252:1 -> ../bsg/2:0:1:0
lrwxrwxrwx 1 root root  7 Oct 10 16:25 254:0 -> ../rtc0
lrwxrwxrwx 1 root root  7 Oct 10 16:25 4:0 -> ../tty0
lrwxrwxrwx 1 root root  7 Oct 10 16:25 4:1 -> ../tty1
lrwxrwxrwx 1 root root  8 Oct 10 16:25 4:10 -> ../tty10
lrwxrwxrwx 1 root root  8 Oct 10 16:25 4:11 -> ../tty11
lrwxrwxrwx 1 root root  8 Oct 10 16:25 4:12 -> ../tty12
lrwxrwxrwx 1 root root  8 Oct 10 16:25 4:13 -> ../tty13
lrwxrwxrwx 1 root root  8 Oct 10 16:25 4:14 -> ../tty14
lrwxrwxrwx 1 root root  8 Oct 10 16:25 4:15 -> ../tty15
lrwxrwxrwx 1 root root  8 Oct 10 16:25 4:16 -> ../tty16
lrwxrwxrwx 1 root root  8 Oct 10 16:25 4:17 -> ../tty17
lrwxrwxrwx 1 root root  8 Oct 10 16:25 4:18 -> ../tty18
lrwxrwxrwx 1 root root  8 Oct 10 16:25 4:19 -> ../tty19
lrwxrwxrwx 1 root root  7 Oct 10 16:25 4:2 -> ../tty2
lrwxrwxrwx 1 root root  8 Oct 10 16:25 4:20 -> ../tty20
lrwxrwxrwx 1 root root  8 Oct 10 16:25 4:21 -> ../tty21
lrwxrwxrwx 1 root root  8 Oct 10 16:25 4:22 -> ../tty22
lrwxrwxrwx 1 root root  8 Oct 10 16:25 4:23 -> ../tty23
lrwxrwxrwx 1 root root  8 Oct 10 16:25 4:24 -> ../tty24
lrwxrwxrwx 1 root root  8 Oct 10 16:25 4:25 -> ../tty25
lrwxrwxrwx 1 root root  8 Oct 10 16:25 4:26 -> ../tty26
lrwxrwxrwx 1 root root  8 Oct 10 16:25 4:27 -> ../tty27
lrwxrwxrwx 1 root root  8 Oct 10 16:25 4:28 -> ../tty28
lrwxrwxrwx 1 root root  8 Oct 10 16:25 4:29 -> ../tty29
lrwxrwxrwx 1 root root  7 Oct 10 16:25 4:3 -> ../tty3
lrwxrwxrwx 1 root root  8 Oct 10 16:25 4:30 -> ../tty30
lrwxrwxrwx 1 root root  8 Oct 10 16:25 4:31 -> ../tty31
lrwxrwxrwx 1 root root  8 Oct 10 16:25 4:32 -> ../tty32
lrwxrwxrwx 1 root root  8 Oct 10 16:25 4:33 -> ../tty33
lrwxrwxrwx 1 root root  8 Oct 10 16:25 4:34 -> ../tty34
lrwxrwxrwx 1 root root  8 Oct 10 16:25 4:35 -> ../tty35
lrwxrwxrwx 1 root root  8 Oct 10 16:25 4:36 -> ../tty36
lrwxrwxrwx 1 root root  8 Oct 10 16:25 4:37 -> ../tty37
lrwxrwxrwx 1 root root  8 Oct 10 16:25 4:38 -> ../tty38
lrwxrwxrwx 1 root root  8 Oct 10 16:25 4:39 -> ../tty39
lrwxrwxrwx 1 root root  7 Oct 10 16:25 4:4 -> ../tty4
lrwxrwxrwx 1 root root  8 Oct 10 16:25 4:40 -> ../tty40
lrwxrwxrwx 1 root root  8 Oct 10 16:25 4:41 -> ../tty41
lrwxrwxrwx 1 root root  8 Oct 10 16:25 4:42 -> ../tty42
lrwxrwxrwx 1 root root  8 Oct 10 16:25 4:43 -> ../tty43
lrwxrwxrwx 1 root root  8 Oct 10 16:25 4:44 -> ../tty44
lrwxrwxrwx 1 root root  8 Oct 10 16:25 4:45 -> ../tty45
lrwxrwxrwx 1 root root  8 Oct 10 16:25 4:46 -> ../tty46
lrwxrwxrwx 1 root root  8 Oct 10 16:25 4:47 -> ../tty47
lrwxrwxrwx 1 root root  8 Oct 10 16:25 4:48 -> ../tty48
lrwxrwxrwx 1 root root  8 Oct 10 16:25 4:49 -> ../tty49
lrwxrwxrwx 1 root root  7 Oct 10 16:25 4:5 -> ../tty5
lrwxrwxrwx 1 root root  8 Oct 10 16:25 4:50 -> ../tty50
lrwxrwxrwx 1 root root  8 Oct 10 16:25 4:51 -> ../tty51
lrwxrwxrwx 1 root root  8 Oct 10 16:25 4:52 -> ../tty52
lrwxrwxrwx 1 root root  8 Oct 10 16:25 4:53 -> ../tty53
lrwxrwxrwx 1 root root  8 Oct 10 16:25 4:54 -> ../tty54
lrwxrwxrwx 1 root root  8 Oct 10 16:25 4:55 -> ../tty55
lrwxrwxrwx 1 root root  8 Oct 10 16:25 4:56 -> ../tty56
lrwxrwxrwx 1 root root  8 Oct 10 16:25 4:57 -> ../tty57
lrwxrwxrwx 1 root root  8 Oct 10 16:25 4:58 -> ../tty58
lrwxrwxrwx 1 root root  8 Oct 10 16:25 4:59 -> ../tty59
lrwxrwxrwx 1 root root  7 Oct 10 16:25 4:6 -> ../tty6
lrwxrwxrwx 1 root root  8 Oct 10 16:25 4:60 -> ../tty60
lrwxrwxrwx 1 root root  8 Oct 10 16:25 4:61 -> ../tty61
lrwxrwxrwx 1 root root  8 Oct 10 16:25 4:62 -> ../tty62
lrwxrwxrwx 1 root root  8 Oct 10 16:25 4:63 -> ../tty63
lrwxrwxrwx 1 root root  8 Oct 10 16:25 4:64 -> ../ttyS0
lrwxrwxrwx 1 root root  8 Oct 10 16:25 4:65 -> ../ttyS1
lrwxrwxrwx 1 root root  8 Oct 10 16:25 4:66 -> ../ttyS2
lrwxrwxrwx 1 root root  8 Oct 10 16:25 4:67 -> ../ttyS3
lrwxrwxrwx 1 root root  7 Oct 10 16:25 4:7 -> ../tty7
lrwxrwxrwx 1 root root  7 Oct 10 16:25 4:8 -> ../tty8
lrwxrwxrwx 1 root root  7 Oct 10 16:25 4:9 -> ../tty9
lrwxrwxrwx 1 root root  6 Oct 10 16:25 5:0 -> ../tty
lrwxrwxrwx 1 root root 10 Oct 10 16:25 5:1 -> ../console
lrwxrwxrwx 1 root root  7 Oct 10 16:25 5:2 -> ../ptmx
lrwxrwxrwx 1 root root  6 Oct 10 16:25 7:0 -> ../vcs
lrwxrwxrwx 1 root root  7 Oct 10 16:25 7:1 -> ../vcs1
lrwxrwxrwx 1 root root  7 Oct 10 16:25 7:128 -> ../vcsa
lrwxrwxrwx 1 root root  8 Oct 10 16:25 7:129 -> ../vcsa1

/dev/cpu:
total 0
drwxr-xr-x 2 root root      80 Oct 10 16:25 0
crw------- 1 root root 10, 184 Oct 10 16:25 microcode

/dev/cpu/0:
total 0
crw------- 1 root root 203, 0 Oct 10 16:25 cpuid
crw------- 1 root root 202, 0 Oct 10 16:25 msr

/dev/disk:
total 0
drwxr-xr-x 2 root root 80 Oct 10 16:25 by-id
drwxr-xr-x 2 root root 80 Oct 10 16:25 by-path
drwxr-xr-x 2 root root 60 Oct 10 16:25 by-uuid

/dev/disk/by-id:
total 0
lrwxrwxrwx 1 root root 9 Oct 10 16:25 scsi-0QEMU_QEMU_HARDDISK_drive-scsi0-0-0-0 -> ../../sda
lrwxrwxrwx 1 root root 9 Oct 10 16:25 scsi-0QEMU_QEMU_HARDDISK_drive-scsi0-0-1-0 -> ../../sdb

/dev/disk/by-path:
total 0
lrwxrwxrwx 1 root root 9 Oct 10 16:25 pci-0000:00:02.0-virtio-pci-virtio0-scsi-0:0:0:0 -> ../../sda
lrwxrwxrwx 1 root root 9 Oct 10 16:25 pci-0000:00:02.0-virtio-pci-virtio0-scsi-0:0:1:0 -> ../../sdb

/dev/disk/by-uuid:
total 0
lrwxrwxrwx 1 root root 9 Oct 10 16:25 a5ea1310-5ccb-49a7-8764-5f299de8ac60 -> ../../sdb

/dev/input:
total 0
drwxr-xr-x 2 root root    120 Oct 10 16:25 by-path
crw------- 1 root root 13, 64 Oct 10 16:25 event0
crw-r----- 1 root root 13, 65 Oct 10 16:25 event1
crw-r----- 1 root root 13, 66 Oct 10 16:25 event2
crw------- 1 root root 13, 63 Oct 10 16:25 mice
crw-r----- 1 root root 13, 32 Oct 10 16:25 mouse0

/dev/input/by-path:
total 0
lrwxrwxrwx 1 root root 9 Oct 10 16:25 platform-i8042-serio-0-event-kbd -> ../event0
lrwxrwxrwx 1 root root 9 Oct 10 16:25 platform-i8042-serio-1-event-mouse -> ../event2
lrwxrwxrwx 1 root root 9 Oct 10 16:25 platform-i8042-serio-1-mouse -> ../mouse0
lrwxrwxrwx 1 root root 9 Oct 10 16:25 platform-pcspkr-event-spkr -> ../event1

/dev/mapper:
total 0
crw------- 1 root root 10, 236 Oct 10 16:25 control

/dev/raw:
total 0
crw------- 1 root root 162, 0 Oct 10 16:25 rawctl

/dev/snd:
total 0
drwxr-xr-x 2 root root       60 Oct 10 16:25 by-path
crw-rw---- 1 root audio 116,  3 Oct 10 16:25 controlC0
crw-rw---- 1 root audio 116,  2 Oct 10 16:25 pcmC0D0p
crw-rw---- 1 root audio 116, 33 Oct 10 16:25 timer

/dev/snd/by-path:
total 0
lrwxrwxrwx 1 root root 12 Oct 10 16:25 platform-pcspkr -> ../controlC0

/dev/virtio-ports:
total 0
lrwxrwxrwx 1 root root 11 Oct 10 16:25 org.libguestfs.channel.0 -> ../vport1p1
rootfs / rootfs rw 0 0
proc /proc proc rw,relatime 0 0
/dev/root / ext2 rw,noatime 0 0
/proc /proc proc rw,relatime 0 0
/sys /sys sysfs rw,relatime 0 0
tmpfs /run tmpfs rw,nosuid,relatime,size=95284k,mode=755 0 0
/dev /dev devtmpfs rw,relatime,size=234772k,nr_inodes=58693,mode=755 0 0
  /run/lvm/lvmetad.socket: connect failed: No such file or directory
  WARNING: Failed to connect to lvmetad: No such file or directory. Falling back to internal scanning.
  /run/lvm/lvmetad.socket: connect failed: No such file or directory
  /run/lvm/lvmetad.socket: connect failed: No such file or directory
  /run/lvm/lvmetad.socket: connect failed: No such file or directory
  /run/lvm/lvmetad.socket: connect failed: No such file or directory
  /run/lvm/lvmetad.socket: connect failed: No such file or directory
  /run/lvm/lvmetad.socket: connect failed: No such file or directory
  /run/lvm/lvmetad.socket: connect failed: No such file or directory
  /run/lvm/lvmetad.socket: connect failed: No such file or directory
  /run/lvm/lvmetad.socket: connect failed: No such file or directory
  /run/lvm/lvmetad.socket: connect failed: No such file or directory
  /run/lvm/lvmetad.socket: connect failed: No such file or directory
  WARNING: Failed to connect to lvmetad: No such file or directory. Falling back to internal scanning.
  /run/lvm/lvmetad.socket: connect failed: No such file or directory
  /run/lvm/lvmetad.socket: connect failed: No such file or directory
  No volume groups found
  /run/lvm/lvmetad.socket: connect failed: No such file or directory
  WARNING: Failed to connect to lvmetad: No such file or directory. Falling back to internal scanning.
  /run/lvm/lvmetad.socket: connect failed: No such file or directory
  /run/lvm/lvmetad.socket: connect failed: No such file or directory
  No volume groups found
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN 
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 brd 127.255.255.255 scope host lo
       valid_lft forever preferred_lft forever
    inet6 ::1/128 scope host 
       valid_lft forever preferred_lft forever
Module                  Size  Used by
ghash_clmulni_intel    13259  0 
snd_pcsp               18835  0 
snd_pcm                98084  1 snd_pcsp
snd_page_alloc         18268  1 snd_pcm
microcode             117735  0 
snd_timer              28806  1 snd_pcm
snd                    79517  3 snd_timer,snd_pcm,snd_pcsp
soundcore              14491  1 snd
serio_raw              13413  0 
ata_generic            12910  0 
pata_acpi              13038  0 
virtio_net             28077  0 
virtio_scsi            18515  1 
virtio_blk             18378  0 
virtio_rng             13135  0 
virtio_balloon         13530  0 
virtio_mmio            13193  0 
sparse_keymap          13584  0 
rfkill                 22195  0 
sym53c8xx              80734  0 
scsi_transport_spi     30274  1 sym53c8xx
crc8                   12750  0 
crc_ccitt              12613  0 
crc32                  12714  0 
crc_itu_t              12613  0 
crct10dif_pclmul       14250  0 
crc32_pclmul           13113  0 
crc32c_intel           22079  0 
libcrc32c              12603  0 
megaraid               48287  0 
megaraid_sas           99663  0 
megaraid_mbox          40368  0 
megaraid_mm            18221  1 megaraid_mbox
Thu Oct 10 16:25:07 CST 2013
uptime: 2.47 0.32
verbose daemon enabled
linux commmand line: panic=1 console=ttyS0 udevtimeout=600 no_timer_check acpi=off printk.time=1 cgroup_disable=memory root=/dev/sdb selinux=0 guestfs_verbose=1 TERM=xterm

udevadm settle
libguestfs: recv_from_daemon: received GUESTFS_LAUNCH_FLAG
libguestfs: [04451ms] appliance is up
guestfsd: main_loop: new request, len 0x38
grep ^[[:space:]]*btrfs$ /proc/filesystems
modprobe btrfs
[    2.548401] xor: automatically using best checksumming function:
[    2.560010]    avx       : 27596.000 MB/sec
[    2.582013] raid6: sse2x1    9644 MB/s
[    2.600016] raid6: sse2x2   12445 MB/s
[    2.618013] raid6: sse2x4   14304 MB/s
[    2.619089] raid6: using algorithm sse2x4 (14304 MB/s)
[    2.620622] raid6: using ssse3x2 recovery algorithm
[    2.652688] bio: create slab <bio-1> at 1
[    2.661288] Btrfs loaded
grep ^[[:space:]]*btrfs$ /proc/filesystems
guestfsd: main_loop: proc 216 (available) took 0.14 seconds
guestfsd: main_loop: new request, len 0x28
fsync /dev/sda
libguestfs: closing guestfs handle 0x7f509f207110 (state 0)
libguestfs: command: run: rm
libguestfs: command: run: \ -rf /tmp/libguestfsTCyCVM
=================================================================

I believe the version is correct:

[root@localhost ~]# guestfish --version
guestfish 1.22.6rhel=7,release=8.el7,libvirt
Comment 6 Richard W.M. Jones 2013-10-10 05:06:10 EDT
Rawhide but with the RHEL 7 libguestfs package installed?

Anyway, this hardware isn't hitting bug 870071.  Only certain
hardware does, and I don't know exactly what hardware, except
that I own 1 machine which demonstrates it.  You could maybe
compare your /proc/cpuinfo output with the data in bug 870071.
Comment 7 Can Zhang 2013-10-10 05:54:54 EDT
(In reply to Richard W.M. Jones from comment #6)
> Rawhide but with the RHEL 7 libguestfs package installed?

Yes, I downloaded the packages from brew.
 
> Anyway, this hardware isn't hitting bug 870071.  Only certain
> hardware does, and I don't know exactly what hardware, except
> that I own 1 machine which demonstrates it.  You could maybe
> compare your /proc/cpuinfo output with the data in bug 870071.

I compared the CPU flags and found some subtle differences:

i7-2600 has: eagerfpu smx
i7-2600K has: x2apic
Comment 8 Richard W.M. Jones 2013-10-10 06:19:28 EDT
You really need to look at what -cpu flag is being
passed to qemu.  cf:
https://bugzilla.redhat.com/show_bug.cgi?id=870071#c5
Comment 9 Can Zhang 2013-10-13 22:03:23 EDT
(In reply to Richard W.M. Jones from comment #8)
> You really need to look at what -cpu flag is being
> passed to qemu.  cf:
> https://bugzilla.redhat.com/show_bug.cgi?id=870071#c5

Understand your situation now. I create a vm using <cpu mode="host-model"/> and find the `-cpu` flags passed to qemu is:

-cpu SandyBridge,+osxsave,+pcid,+pdcm,+xtpr,+tm2,+est,+smx,+vmx,+ds_cpl,+monitor,+dtes64,+pbe,+tm,+ht,+ss,+acpi,+ds,+vme

libvirt detects "SandyBridge" correctly, your problem cannot be reproduced on my machine. I think I might try to find some other hardware.
Comment 10 Can Zhang 2013-10-14 01:55:53 EDT
(In reply to Can Zhang from comment #9)

> I think I might try to find some other hardware.

I cannot find a i7-2600k machine here in Beaker, could you help find a machine I could use for testing?
Comment 11 Richard W.M. Jones 2013-10-14 03:54:23 EDT
The only machine I know about which demonstrates this bug
is my own development server, which you can't use.  If you
can't find one in beaker, then I can't help further.  It's
possible we simply cannot reproduce this bug with available
resources.
Comment 12 Wei Shi 2013-10-24 22:56:47 EDT
Hi Rich,
  Would you like to help us to verify this bug with your development server? QE will do Acceptance Test for libguestfs package.
Comment 13 Richard W.M. Jones 2013-10-25 04:45:03 EDT
Nope, it's remote and running my build system so I simply can't put
RHEL on it.  You'll just have to accept this bug cannot be verified
unless there happens to be a system in Beaker (which it seems we
can't find).
Comment 18 Ludek Smid 2014-06-13 05:55:04 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.